# -*- coding: utf-8 -*-
# Generated by Django 1.10.6 on 2017-03-29 07:39
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Prediction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('step_hash', models.CharField(db_index=True, max_length=50)),
                ('a', models.CharField(blank=True, max_length=50, null=True)),
                ('b', models.CharField(blank=True, max_length=50, null=True)),
                ('r', models.CharField(blank=True, max_length=50, null=True)),
                ('type', models.SmallIntegerField(choices=[(1, 'Disk'), (2, 'Memory'), (3, 'CPU')])),
            ],
        ),
        migrations.CreateModel(
            name='Protocol',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('software', models.CharField(max_length=50)),
                ('parameter', models.TextField()),
                ('specify_output', models.CharField(blank=True, max_length=50, null=True)),
                ('parent', models.CharField(db_index=True, max_length=50)),
                ('user_id', models.CharField(max_length=50)),
                ('hash', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='ProtocolList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('user_id', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Queue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('input_file', models.TextField()),
                ('parameter', models.TextField()),
                ('run_dir', models.TextField(blank=True, null=True)),
                ('result', models.TextField(blank=True, null=True)),
                ('status', models.SmallIntegerField(default=0)),
                ('update_time', models.DateTimeField(auto_now=True)),
                ('create_time', models.DateTimeField(auto_now_add=True)),
                ('user_id', models.CharField(max_length=50)),
                ('resume', models.SmallIntegerField(default=-1)),
                ('ter', models.SmallIntegerField(default=0)),
                ('wait_for', models.SmallIntegerField(choices=[(0, 'Ok'), (1, 'Disk'), (2, 'Memory'), (3, 'CPU'), (4, 'Former'), (5, 'Peer')], default=0)),
                ('protocol', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ui.ProtocolList')),
            ],
        ),
        migrations.CreateModel(
            name='References',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('path', models.CharField(max_length=500)),
                ('description', models.TextField()),
                ('user_id', models.CharField(max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='Resource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpu', models.CharField(max_length=50)),
                ('mem', models.CharField(max_length=50)),
                ('disk', models.CharField(max_length=50)),
                ('own', models.CharField(default='sys', max_length=50)),
                ('lock', models.SmallIntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Training',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('step', models.CharField(db_index=True, max_length=50)),
                ('input', models.CharField(blank=True, max_length=50, null=True)),
                ('output', models.CharField(blank=True, max_length=50, null=True)),
                ('mem', models.CharField(blank=True, max_length=50, null=True)),
                ('cpu', models.CharField(blank=True, max_length=50, null=True)),
                ('create_time', models.DateTimeField(auto_now_add=True)),
                ('lock', models.SmallIntegerField(default=1)),
            ],
        ),
    ]
